/****************************************************************************
**
** Copyright (C) 2010-2011 Iteco Trading Srl
** All rights reserved.
** Contact: Iteco Trading Srl (alberto.plano@iteco.it)
**
** This file is part of the Itecad EDA software.
**
** Itecad is free software. You can redistribute it and/or modify it under the terms of
** the GNU Lesser General Public License (LGPLv2.1) as published by the Free Software Foundation
**
** This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
** without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
** See the GNU Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public License along with this software;
** if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
**
** If you have questions regarding the use of this file, please contact
** Iteco Trading Srl at alberto.plano@iteco.it
**
****************************************************************************/

#ifndef WIN_OPTIONS_H
#define WIN_OPTIONS_H

#include <QAction>
#include <QApplication>
#include <QDialog>
#include <QGroupBox>
#include <QButtonGroup>
#include <QGridLayout>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QTabWidget>
#include <QTabBar>
#include <QSpinBox>
#include <QLabel>
#include <QCheckBox>
#include <QLineEdit>
#include <QPushButton>
#include <QSpacerItem>
#include <QWidget>
#include <QRadioButton>
#include <QDesktopWidget>
#include <QSettings>
#include <QFileDialog>
#include "tipi_dato.h"
#include "win_main.h"
#include "layout_length.h"

class win_options : public QDialog
{
    Q_OBJECT	//Necessario per gestire Signals e Slots
public:
    win_options(QWidget *parent, Qt::WindowFlags tipo);
    ~win_options()
    {}

    QComboBox		*language_cb;

    QRadioButton    *y_axis_up;
    QRadioButton    *y_axis_down;

    QGroupBox    	*setup_language();
    QGroupBox   	*setup_axis();
    QHBoxLayout		*setup_buttons();

protected:
    void accept();
};

#endif
